Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Unable to install gnome on a newly built gentoo box
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
gentleguy
n00b
n00b


Joined: 31 Oct 2014
Posts: 14

PostPosted: Fri Oct 31, 2014 9:21 pm    Post subject: Unable to install gnome on a newly built gentoo box Reply with quote

Hi,

I am trying to install gnome on a newly built gentoo right after compiling the kernel and installing few base packages.

When I do "emerge gnome" it give me the below error. I have pasted the excerpt from the log and the full output is in the bpaste url.

Code:
emerge gnome


Quote:

Total: 12 packages (12 new), Size of downloads: 13,046 kB

* Error: circular dependencies:

(gnome-base/gnome-shell-3.12.2::gentoo, ebuild scheduled for merge) depends on
(gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge) (runtime)
(gnome-extra/nm-applet-0.9.8.10-r1::gentoo, ebuild scheduled for merge) (buildtime)
(virtual/notification-daemon-0::gentoo, ebuild scheduled for merge) (buildtime)
(gnome-base/gnome-shell-3.12.2::gentoo, ebuild scheduled for merge) (runtime)

It might be possible to break this cycle
by applying the following change:
- virtual/notification-daemon-0 (Change USE: -gnome)

......
.........
...........

!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might help emerge to give a more specific suggestion.


The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details)
# required by x11-drivers/xf86-video-vmware-13.0.1-r1
# required by x11-base/xorg-drivers-1.15[video_cards_vmware]
# required by x11-base/xorg-server-1.15.0[xorg]
# required by x11-libs/glamor-0.6.0
# required by x11-drivers/xf86-video-ati-7.3.0[glamor]
=media-libs/mesa-10.0.4 xa gbm
# required by x11-drivers/xf86-video-vmware-13.0.1-r1
# required by x11-base/xorg-drivers-1.15[video_cards_vmware]
# required by x11-base/xorg-server-1.15.0[xorg]
# required by x11-libs/glamor-0.6.0
# required by x11-drivers/xf86-video-ati-7.3.0[glamor]
=x11-libs/libdrm-2.4.52 libkms
# required by gnome-base/gdm-3.12.2
# required by gnome-base/gnome-shell-3.12.2
# required by app-admin/eselect-gnome-shell-extensions-20120911
# required by gnome-extra/gnome-shell-extensions-3.12.2
# required by gnome-base/gnome-3.12.0[classic]
# required by gnome (argument)
=sys-auth/pambase-20120417-r3 systemd



Full Trace here https://bpaste.net/show/079374b94c37


To overcome this i added the below values in the "/etc/portage/package.use" and executed the below command, but still no luck and it gives me the "Circular dependency error" as pasted below.

Quote:
gnome-base/gnome-session branding
# required by x11-drivers/xf86-video-vmware-13.0.1-r1
# required by x11-base/xorg-drivers-1.15[video_cards_vmware]
# required by x11-base/xorg-server-1.15.0[xorg]
# required by x11-drivers/xf86-video-glint-1.2.8-r1
=x11-libs/libdrm-2.4.52 libkms
# required by gnome-base/gdm-3.12.2
# required by gnome-base/gnome-shell-3.12.2
# required by gnome-extra/gnome-shell-extensions-3.12.2
# required by gnome-base/gnome-3.12.0[classic]
# required by gnome (argument)
=sys-auth/pambase-20120417-r3 systemd
# required by sys-apps/systemd-215-r3
# required by sys-apps/gentoo-systemd-integration-4
=sys-apps/dbus-1.8.8 systemd
# required by x11-libs/glamor-0.6.0
# required by x11-drivers/xf86-video-ati-7.3.0[glamor]
# required by x11-base/xorg-drivers-1.15[video_cards_radeon]
# required by x11-base/xorg-server-1.15.0[xorg]
# required by x11-drivers/xf86-video-glint-1.2.8-r1
=media-libs/mesa-10.0.4 gbm xa
=dev-libs/libgdata-0.14.3 gnome


Code:
USE=virtual/notification-deamon -gnome emerge --newuse  gnome-base/gnome


ERROR after executing the above command

Quote:

[blocks B ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-216)
[blocks B ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23-r2)
[blocks B ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-215-r3, sys-apps/gentoo-systemd-integration-4)
[blocks B ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-216)


Full error here https://bpaste.net/show/5fa245735ccc

Below is my "emerge" info.

Quote:

Portage 2.2.8-r2 (default/linux/amd64/13.0/desktop/gnome, gcc-4.8.3, glibc-2.19-r1, 3.16.5-gentoo x86_64)
=================================================================
System uname: Linux-3.16.5-gentoo-x86_64-Intel-R-_Core-TM-_i5-2450M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem: 3950164 total, 2986160 free
KiB Swap: 4194300 total, 4194300 free
Timestamp of tree: Fri, 31 Oct 2014 00:45:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash: 4.2_p53
dev-lang/perl: 5.18.2-r2
dev-lang/python: 2.7.7, 3.3.5-r1, 3.4.1
dev-util/cmake: 2.8.12.2-r1
dev-util/pkgconfig: 0.28-r1
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.12.4
sys-apps/sandbox: 2.6-r1
sys-devel/autoconf: 2.69
sys-devel/automake: 1.13.4
sys-devel/binutils: 2.24-r3
sys-devel/gcc: 4.8.3
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4.2-r1
sys-devel/make: 4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc: 2.19-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="rsync://mirrors.stuhome.net/gentoo/ http://mirrors.stuhome.net/gentoo/ ftp://mirrors.stuhome.net/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv introspection ipv6 jpeg lcms ldap libnotify libsecret mad mmx mng modules mp3 mp4 mpeg multilib nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt3support readline sdl session socialweb spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON




Make.conf file entries

Quote:

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
MAKEOPTS="-j5"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
PORTDIR="/usr/portage"
DISTDIR="${PORTDIR}/distfiles"
PKGDIR="${PORTDIR}/packages"
USE="dvd alsa cdr -qt4 -kde X dbus gtk gnome"

GENTOO_MIRRORS="rsync://mirrors.stuhome.net/gentoo/ http://mirrors.stuhome.net/gentoo/ ftp://mirrors.stuhome.net/gentoo/"


I tried almost every other solutions on these forums and none of them yielded success and have been struggling for nearly a week. Please help fixing this problem :(


Any help would be greatly appreciated!! Thanks in advance!!
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Nov 01, 2014 12:32 am    Post subject: Reply with quote

Run
Code:
eselect profile list
which profile is active (marked with an asterisk)?
run
Code:
eselect news read
and read your news to get that nuisance to go away.
Try running
Code:
emerge -C udev  virtual/libgudev virtual/libudev virtual/udev
USE="systemd -udev" emerge -av --no-deps systemd virtual/libgudev virtual/libudev virtual/udev
report results
_________________
Defund the FCC.
Back to top
View user's profile Send private message
gentleguy
n00b
n00b


Joined: 31 Oct 2014
Posts: 14

PostPosted: Sat Nov 01, 2014 11:41 am    Post subject: Reply with quote

DONAHUE wrote:
Run
Code:
eselect profile list
which profile is active (marked with an asterisk)?
run
Code:
eselect news read
and read your news to get that nuisance to go away.
Try running
Code:
emerge -C udev  virtual/libgudev virtual/libudev virtual/udev
USE="systemd -udev" emerge -av --no-deps systemd virtual/libgudev virtual/libudev virtual/udev
report results




Thanks for the quick reply!!. It seems like I am one step closer.

This seems be removed the dependency for systemd & udev and i am left with the blocking on Upower, Please let me know how to fix this. Based on few suggestions, i tried removing the upower and only installed upower-pm-utils and vice versa, also tried to mask upower but no luck.

Quote:
[blocks B ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23-r2)


Here is the full trace https://bpaste.net/show/88bcee1bd285

And i have the /default/linux/amd64/13.0/desktop/gnome selected.

Also why i am getting the below exception while i already have this in my package.use file?

Quote:

The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details)
# required by gnome-extra/gnome-documents-3.12.1
# required by gnome-base/gnome-extra-apps-3.12.0[tracker]
# required by gnome-base/gnome-3.12.0[extras]
# required by gnome-base/gnome (argument)
=dev-libs/libgdata-0.14.3 gnome


Thank you!!
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Sat Nov 01, 2014 1:54 pm    Post subject: Reply with quote

you may set the gnome useflag in /etc/make.conf
you may use ufed for that.
Back to top
View user's profile Send private message
gentleguy
n00b
n00b


Joined: 31 Oct 2014
Posts: 14

PostPosted: Sat Nov 01, 2014 2:21 pm    Post subject: Reply with quote

tw04l124 wrote:
you may set the gnome useflag in /etc/make.conf
you may use ufed for that.



Hi.. Gnome USE flag is already set in my /etc/portage/make.conf, my problem is with the upower dependency with upower-pm-utils and this gnome USE flag issue with[/quote] libgdata.

Quote:
USE="dvd alsa cdr -qt4 -kde X dbus gtk gnome"



Thanks!!
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Nov 01, 2014 2:32 pm    Post subject: Reply with quote

add USE="-udev" in /etc/portage/make.conf
run
Code:
emerge -pv world | wgetpaste
emerge -pv world
post the url
expect to see an exception for a half dozen or so packages requiring use flag udev. put them in /etc/portage/package.use.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
gentleguy
n00b
n00b


Joined: 31 Oct 2014
Posts: 14

PostPosted: Sat Nov 01, 2014 3:48 pm    Post subject: Reply with quote

DONAHUE wrote:
add USE="-udev" in /etc/portage/make.conf
run
Code:
emerge -pv world | wgetpaste
emerge -pv world
post the url
expect to see an exception for a half dozen or so packages requiring use flag udev. put them in /etc/portage/package.use.


Hi..

I just did what you said and only had one package libusb-1.0.18 expecting for "udev" and added it in the package.use and reran the command. This time i got the below error.

Quote:
[blocks B ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-215-r3)
[blocks B ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-216)
[blocks B ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-216)


Full trace here https://bpaste.net/show/66ac2f25643a

Thanks[/url]
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Nov 01, 2014 4:07 pm    Post subject: Reply with quote

Code:
emerge -C udev  virtual/libgudev virtual/libudev virtual/udev gentoo-systemd-integration
USE="systemd -udev" emerge -av --no-deps systemd virtual/libgudev virtual/libudev virtual/udev gentoo-systemd-integration
emerge dbus

_________________
Defund the FCC.
Back to top
View user's profile Send private message
gentleguy
n00b
n00b


Joined: 31 Oct 2014
Posts: 14

PostPosted: Sat Nov 01, 2014 4:32 pm    Post subject: Reply with quote

DONAHUE wrote:
Code:
emerge -C udev  virtual/libgudev virtual/libudev virtual/udev gentoo-systemd-integration
USE="systemd -udev" emerge -av --no-deps systemd virtual/libgudev virtual/libudev virtual/udev gentoo-systemd-integration
emerge dbus


Thanks for your time..

These commands executed successfully!

Running the emerge -pv world after executing your commands get me to the same Blockage error as i mentioned before.

I am not new to linux but new to Gentoo, i am switching from Redhat to Gentoo and having all these issues. Please bear with me :wink:

Thanks
Praveen
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Nov 01, 2014 4:42 pm    Post subject: Reply with quote

add sys-fs/udev to /etc/portage/package.mask then
Code:
emerge -C udev
emerge -pvuND backtrack=300 world | wgetpaste

_________________
Defund the FCC.
Back to top
View user's profile Send private message
N8Fear
Tux's lil' helper
Tux's lil' helper


Joined: 15 Apr 2013
Posts: 140
Location: Berlin (Germany)

PostPosted: Sat Nov 01, 2014 8:01 pm    Post subject: Reply with quote

You can't install really udev and systemd at the same time since udev is now a part of systemd. Also running things like
Code:
USE= foo -bar emerge -v1 stuff
is only a temporary solution (these useflags are set just for this run of emerge).
You shouldn't do that except for trying out stuff.

Run emerge -C sys-fs/udev virtual/udev and afterwards emerge -v1 virtual/udev

If everythings fine the virtual should depend on systemd and stop sys-fs/udev into the dependency tree.
Back to top
View user's profile Send private message
gentleguy
n00b
n00b


Joined: 31 Oct 2014
Posts: 14

PostPosted: Thu Nov 13, 2014 9:12 pm    Post subject: Reply with quote

[quote="DONAHUE"]add sys-fs/udev to /etc/portage/package.mask then
Code:
emerge -C udev
emerge -pvuND backtrack=300 world | wgetpaste
[/quote


Thanks @DONAHUE,

After trying all the possibilities, I end up enabling the "gnome/systemd" profile which worked seamlessly and i was able to emerge the gnome package without any hassles.

Thanks all for all your help :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum